[M2] (golly 2.0)
#C Patterns whose population grows logarithmically have
#C long been known, but this is believed to be the first pattern
#C whose *diameter* grows logarithmically. It is based on a
#C blinker puffer that can be deleted by its own output (a blinker),
#C or push a block out by 8 cells.
#C
#C By Jason Summers with Gabriel Nivasch, 16 Aug 03
#C
#C Analysis by Dean Hickerson:
#C
#C Let g(n) be the generation in which the leading puffer is in the
#C same position as in gen 0, the block is 8n units to the right of
#C its initial position, and there are no blinkers in between.  I.e.,
#C the puffer is on its way to push the block from position n to
#C position n+1.  g(n) is always a multiple of 240; the first few
#C values are:
#C       n   0   1   2    3    4    5    6    7     8     9    10
#C    g(n)   0 240 720 1440 2400 3840 6000 9120 13680 20400 30240
#C g(n)/240  0   1   3    6   10   16   25   38    57    85   126
#C
#C Letting h(n)=g(n)/240, we have the recurrence
#C    h(n) = h(n-1) + h(n-3) + 3.
#C
#C Also,
#C    h(n) = round(C * R^n) - 3,
#C
#C where
#C   R = (2 + cbrt(116 + 12 sqrt(93)) + cbrt(116 - 12 sqrt(93))) / 6
#C     ~ 1.465571231876768026656731225219939108025577568472285701643
#C
#C and
#C   C = 1 + cbrt((13113 + 151 sqrt(93))/17298) +
#C                                 cbrt((13113 - 151 sqrt(93))/17298)
#C    ~ 2.82110012372929333835936935875070702572316547898891137253679
#C (C satisfies  31 C^3 - 93 C^2 + 16C - 1 = 0.)
#C
#C Since the diameter in generation g(n) is  8n + O(1), we find that
#C the diameter in gen t is asymptotic to  A * log(t),  where
#C    A = 8/log(R)
#C      ~ 20.92898063664810844728999060141708775230924963625537466402
$$$$$$$....**$
4 0 0 1 0
5 0 0 2 0
6 0 0 0 3
7 0 0 0 4
8 0 0 0 5
9 0 0 6 0
10 0 0 7 0
11 0 0 8 0
$$$$$$$.**$
4 0 0 0 10
....**$....**$$$$$$...***$
.**$
$...*.*$..*****$.**...**$.**...**$$$....*$
4 12 13 14 0
5 0 11 0 15
$$$$.....*$.....*.*$......*$......*$
$$$$......*$......*$*.....*$.*$
4 0 0 17 18
$$..**$.***...*$**.....*$.*....*$**$.***$
$$.*.....*$...*...*$$....*$...**..*$.......*$
4 0 0 20 21
......*$.....*.*$.....*$
*$$.......*$$.......*$
......**$.....***$....****$...**$....****$.....***$......**$
**$***$****$...**$****$***$**$
4 23 24 25 26
..**$$$**$*.....*$......*$......*$.......*$
$$$.....**$*....*$.*....*$.*.....*$**$
$.....**$.....**$....*$....*.**$.....***$......*$
***$***$.**$
4 28 29 30 31
5 19 22 27 32
6 0 0 16 33
$$*$*$$*$.*$.*$
4 0 0 35 0
*$$$*.**$...*$..*$**$
$$$$$$.......*$.......*$
$$$$.*$*.*$...**$...**$
4 37 0 38 39
$$$$$$$**$
4 0 0 41 0
5 36 0 40 42
6 0 0 43 0
$$$$....**$....**$
$$......*$....*.*$..**$..**$..**$....*.*$
$$$$$**$**$
......*$$$.....*$....*.*$....**.*$....**.*$....**.*$
4 45 46 47 48
..**$$.*$.*$.....*$..*$....**$
$$$$$$*$
4 50 0 51 0
....*.*$.....*$$$$$$......**$
.......*$
4 0 53 0 54
$$***$***$$$$...**$
$......**$......**$$$......*$.....**$.....*.*$
****$***$.*$$$$$.....**$
$$$$$$$.....**$
4 56 57 58 59
5 49 52 55 60
$$$$$$$.....*$
4 0 0 0 62
.......*$......*$.....*$......*$.......*$
*****$.....*$......*$.....*$*****$
$$$......*$.....***$**..*..*$**..**$
$$$......*$*.....*$*$$.*$
4 64 65 66 67
.....*$....*.*$.....*$.....*$.....*$.....*$....*.*$.....*$
$$$$*$.**....*$.**....*$.**$
.....*$$$$$*$*$
4 0 69 70 71
5 0 63 68 72
.....**$$.**$.**$
....***$.....**$
4 74 75 0 0
5 0 76 0 0
$$**$**$
.*....*$.*....*$
4 78 79 0 0
*$
4 81 0 0 0
5 80 82 0 0
6 61 73 77 83
...**$*.*$.*$
4 54 85 0 0
**$
4 87 0 0 0
5 86 88 0 0
$$$$$.......*$$.......*$
4 0 90 1 0
$$$$$..*$...*$...*$
****$
$...****$..*...*$......*$..*..*$
4 92 0 93 94
....**$$$$$$....***$...**.**$
...**.**$...*****$..**...*$
$$*$
4 96 0 97 98
$$$$$..*$.*.*$.**.*$
4 0 0 100 0
5 91 95 99 101
...*$..**$..*.*$
$..**$..*.*$..*$
4 0 0 103 104
.**.**$.**.*$.*.*$..*$......**$......**$
.**$.**...**$......**$
......**$......**$$$$....**$.....***$......**$
*$*$$$$.**$**$*$
4 106 107 108 109
$.*$*.*$$$***$***$.*$
$$.*$***$***$$$*.*$
4 0 111 0 112
.......*$.***$.*$..*$
$....***$$....*.*$...*****$..**...*$..**...*$
$$$$$*$*$
4 114 0 115 116
5 105 110 113 117
6 89 102 0 118
7 34 44 84 119
$$$$$$$....*$
4 0 0 0 121
...***$..**.**$.***.***$.***.***$.***.***$.***.***$..**.**$...***$
....*$
4 0 123 0 124
5 122 0 125 0
6 0 0 0 126
$$.......*$......*$$.....*$.....*$
$***$...*$....*$$.....*$.....*$
4 0 0 128 129
......*$.......*$
....*$...*$***$
$....*.*$....**$.....*$
4 131 132 0 133
5 0 130 0 134
....**$$$$.....*$....***$...*...*$..*.***$
$$$$$$$*$
...*****$$$$$$....*..*$....*.*$
4 136 137 138 51
...**$..**$..**.*$...***$$$....**$.......*$
$$$$$$.**$
....*$.....**$......*$.......*$.......*$
..*$**$*$$.....**$.....**$
4 140 141 142 143
$$.......*$......*$......*$......*$.......*$
$**$.*$.....***$.*..*..*$.....**$.*$**$
4 0 0 145 146
5 139 0 144 147
......*$.....*$.....***$
4 0 0 149 0
$...***$$$$$.....*$....*.**$
$$$......**$......*$.**....*$*..*$.**....*$
...*...*$...*****$..**...*$...*****$....***$.....*$
......*$......**$*$
4 151 152 153 154
$$$$$$....**$....**$
4 156 0 0 0
5 150 155 0 157
$......**$......**$$*$**$***$**$
$$$$$.**$.**$
4 159 160 81 0
$$$$$$$......*$
$$$$$$$.*....*$
....***$......*$
.******$.*....*$
4 162 163 164 165
5 161 166 0 0
6 135 148 158 167
$$$$$$....**$...*.*$
4 0 0 0 169
$$$$$.*******$.*.****$.*******$
$$$$$$$*.*$
4 0 171 0 172
$$$$$*$*$*$
.....*$$$$$$...**$....**$
$$$$$....*$....**$...*.*$
...*$
4 174 175 176 177
5 0 170 173 178
.....*.*$......*$......*$......*$.....*.*$.....*$
$$$$....***$...*...*$..*$..*$
$$$$$$*$*$
4 0 180 181 182
$*....**$.*...**$*$
4 184 0 0 0
5 63 0 183 185
*...*$....*$*....*$....*$*...*$*.*$
4 0 187 0 0
$.......*$.....*$....*$....*$....*$.....*$.......*$
$*$*$....**$...*$....****$*$*$
4 189 190 0 0
5 188 191 0 0
.....*$...*...*$*...***$.*...*$.*$*$....**$....**$
4 193 0 0 0
5 194 0 0 0
6 179 186 192 195
4 90 92 0 93
4 0 0 94 0
$$$$$$$...*.*$
4 0 0 0 199
4 0 0 172 0
5 197 198 200 201
*.*..*$...*.*$
$$$**$**....**$
$..*.*$.*..*$**.....*$...*...*$**.....*$.*..*..*$..*.*$
4 54 203 204 205
*..*.**$*.*$
$$$$.**$*.*$..*$
$$**$**.**..*$...*...*$.*$*......*$
$$$*$.*$..*$..*$..*$
4 207 208 209 210
.......*$.......*$
.*$*$
4 212 213 0 0
5 206 211 0 214
6 0 202 0 215
7 127 168 196 216
.*$
4 0 218 0 0
$.....*$......**$$$$....*..*$....**$
$$$$*$
4 220 221 0 0
5 219 222 0 0
6 0 223 0 0
7 0 224 0 0
8 120 217 225 0
$$$$$$$...*$
..*.*$.*.**$**.**$.*.**$..*.*$...*$
$$.......*$.......*$
4 227 0 228 229
$$$$$$$...**$
...**$$*$*$.....**$
4 231 0 232 0
5 0 0 230 233
$....*.*$.....**$.....*$$$$.*$
.***$.*$
....*$.....**$....**$.....**$......**$......*$.......*$
4 235 0 236 237
$.**...**$..*****$..**.**$..**.**$...***$
$$$$$*$
$...**$.*..*$*$*......*$*$.*..*$...**$
4 239 0 240 241
$$$.***$*****$***.**$...**$
4 0 0 243 0
......*$....***$
4 62 0 245 0
5 238 242 244 246
$$$*****$.....*$**...*$....*$
4 0 0 248 0
5 249 0 0 0
6 234 0 247 250
4 0 0 0 172
5 0 0 0 252
$$$$$.......*$.....*$....*$
$$$$$*$*$....****$
4 0 0 254 255
$$$$$....**$....**$*$
4 0 0 257 0
5 0 0 256 258
$$......**$......**$
4 0 260 0 0
4 0 187 0 171
5 261 262 0 0
....*$....*$.....*$.......*$$...*.*$....**$....*$
...*$....**$*$*$
$$$$...*$....**$...**$
4 264 265 174 266
.*$.*...*$*...***$...*...*$.....*$..*$..*$...*...*$
....***$
4 268 116 269 62
$$$.......*$.......*$
4 0 271 0 0
$$$*$*$
4 273 180 0 243
5 267 270 272 274
6 253 259 263 275
$$$$$$**$.**$
$$.......*$......**$
4 277 0 81 278
$$.**$*.*$$..*$.*$
$....*.*$..*...*$..*$.*....*$..*$..*...*$....*.*$
4 0 0 280 281
.....*$.....*.*$......**$$$$.....**$.....*.*$
$.......*$....****$...****$...*..*$...****$....****$.......*$
4 1 0 283 284
5 0 279 282 285
$$*$$*$
4 0 0 287 0
$$$.***$
4 0 0 0 289
$$$$$$$.......*$
$$$$$$$..**$
4 0 0 291 292
5 288 0 290 293
$......**$......**$.....*$....*$.....*$......**$
$*$*$.*$..*$.*$*$
$$$$$..**$..**$
4 295 296 297 0
$*$
4 212 299 0 0
......**$......**$
4 301 0 0 0
5 298 300 302 0
$......**$......*$.......*$
...*****$..*.***$...*...*$....***$.....*$
$*$$$$.**..**$.**..**$.....**$
4 0 304 305 306
......*$*......*$
..***..*$..**$
......**$......*$......*$..*$..**$...**$...***$...**$
$*$$......*$......*$......*$
4 308 309 310 311
.....**$.....**$
4 313 0 0 0
..**$..*$
4 315 0 0 0
5 307 312 314 316
6 286 294 303 317
4 0 90 0 0
$$$$$$$**..*$
4 0 0 320 0
$$......**$....*$...*$..*$..*$..*$
4 0 0 0 322
5 0 319 321 323
$$$.*$..*$...*$...*$...*$
$$$$$......**$.....*.*$.......*$
4 0 0 325 326
$.***$
.......*$......**$.....***$......**$.......*$
4 0 0 328 329
5 95 0 327 330
**...*$**..*$
$..**$.***$**$.*....*$**.....*$.***...*$..**$
$$$...**$....*$$...*$.*$
4 332 0 333 334
...*$....*$......**$$$$$.....*$
$**$**$
....*.*$....**.*$....**.*$....**.*$....*.*$.....*$
4 0 336 337 338
5 335 339 0 0
..*$.*$$$$......**$$.......*$
$$*......*$......**$....**$......**$.......*$
$*.*$..*$$.*$.....**$..*....*$*.*$
4 341 116 342 343
$$.......*$......**$.....***$....*.*$....**$
$$$*$**$*.*$.**$
$.......*$......*$..**..*$..**...*$......**$......**$......**$
$$*$*$
4 345 346 347 348
5 344 349 0 0
6 324 331 340 350
7 251 276 318 351
$*$.*...**$*....**$
$$$$$$.*..*$.....*$
4 353 0 354 0
5 0 0 355 0
6 0 0 356 0
$.......*$.......*$
......**$*.....*$*.....**$.......*$
4 0 291 358 359
5 0 0 0 360
$$$$$$..*$***...**$
$$$$......**$......*$.......*$
**...**$.*...**$**....*$***...*$..*$
.......*$*.**..*$*.**..**$**$
4 362 363 364 365
$$$$$*$**$***$
$$$$.....**$.....**$$.**$
**$*$$$$$$*$
.**$$$$$$......*$.....***$
4 367 368 369 370
5 0 0 366 371
$$$$...*$.**.****$...*$
$$$$*$.**$*$
4 373 374 0 0
.**$**$
....****$...**$....****$....*$.....*.*$......*$
$*$.*$**$
4 376 377 0 378
4 0 0 243 354
5 375 379 0 380
6 361 372 0 381
.*...*$..****$$$..***$.*****$.***.**$....**$
4 383 0 0 0
***$.*.*...*$.*..*..*$.*.*$***$*$
$*$*$
4 137 0 385 386
5 384 0 387 0
$$$$......**$$.....*$
4 0 0 0 389
5 0 0 0 390
4 0 0 0 229
.....**$$$$$$$..**$
$.......*$*.....**$*......*$
..**$*$*$*$..**$..**$
4 0 393 394 395
$$$$$..**$.**$...*$
4 0 0 397 292
5 392 396 122 398
6 388 391 0 399
$$$$$....*$...*.*$.**...*$
....**$....**$$*$.**$$...*$
.**...*$.**...*$...*.*$....*$
4 47 401 402 403
$$$...*$.**$..**$
....*.*$...***$..***$...***$....*.*$.....**$
4 0 59 405 406
5 0 197 404 407
4 0 383 0 0
$..**$.*..****$..**.***$
$$$$.....*$.....***$.....*$
4 0 0 410 411
$$$$*.**.*$*.**.***$*.**.*$
$$$$*$*$*$
4 0 0 413 414
5 198 409 412 415
*.**$$$$$.**$
$$$..*.*$..**$...*$
$$$.....**$.....**$
4 417 418 419 0
$$$$$...*..*$...****$...*..*$
$$$$$**.*..*$**.****$**.*..*$
4 421 422 0 0
5 420 423 0 0
$$$$$$.......*$......*$
....**$....**$
.....***$....***$.....***$......*$.......*$
4 0 425 426 427
$$....**$...*.*$.....*$
....**$...*..**$....***$*....**$*......*$
..*$.*.*$*...*$*...*$*...*$.*.*$..*$
4 182 429 430 431
5 428 432 0 0
6 408 416 424 433
7 357 382 400 434
$...**..*$...**..*$.......*$
....**$*....**$*....***$*....**$....**$....*$
$$$$$....**$....**$
4 436 437 0 438
$$$$......**$......*$
..*.*$..*$$$$*$*$**$
$$$$.*$..**$..**$..**$
4 440 441 271 442
.*$$.....*$....*.*$...*...*$...*****$..**...*$...*****$
....***$.....*$
4 212 444 0 445
5 439 443 0 446
$$.....**$.....**$
4 0 448 0 0
5 0 449 0 0
6 0 447 0 450
$$$$..*$..*$..*$
4 0 0 452 0
$$$$$$..**$.**$
...*$$$$$....**$...*.*$..***$
4 51 454 10 455
$...*$.**.****$...*$
$*$.**$*$
$$$$..**.*$**.*.*$**.*.**$.....**$
$$$.*$.****$..****$..*..*$..****$
4 457 458 459 460
5 453 0 456 461
$$$$$...**$...**$
4 0 0 463 0
5 0 0 464 0
.***$..***$...*.*$....**$
4 13 466 0 0
....**$
.****$.*$
4 468 469 0 0
5 467 470 0 0
6 462 465 471 0
7 451 472 0 0
8 352 435 0 473
9 226 474 0 0
$...***$...***$..*...*$.*.....*$..*...*$...***$
4 0 45 0 476
5 0 0 0 477
$$$$$$....**$**.*..*$
$$$$.**$.*.*$....*$.*..*$
**..**$
....*$.*.*$.**$......*$....**$.....**$
4 479 480 481 482
$$$$$$*.*$..*....*$
......**$....**$......**$.......*$
.....**$.*$$..*$*.*$
4 291 484 485 486
5 0 0 483 487
*$**$*$*$$$....*$..*.*$
$$$$......**$......*$....*.*$....**$
**$**$**$..*.*$....*$
$$$.....**$....*.*$....*$...**$
4 489 490 491 492
$$$$$$....*.*$..*...*$
..*$.*....*$..*$..*...*$....*.*$
4 494 0 495 0
$$$$$*$.*$**$
4 0 0 291 497
$......*$.....*$.....***$
4 0 0 499 0
5 493 496 498 500
$$$.....*.*$.....**$......*$
$$$$$.....**$
$.*$.*$.*$
4 502 503 504 0
$$$$.*.*..*$*..*..*$.*.*..*$
$$$$*$.*.**$*$
4 506 507 0 0
5 505 508 0 0
6 478 488 501 509
$$$$$$......**$.....***$
4 0 0 0 511
$$$$..*$..**$...**$...***$
4 0 0 227 513
$...**$...**$
..*.**$..*..*$..*.**$.....***$......**$
$..**$..**$
$$$$...*..**$..*...**$...*..**$
4 515 516 517 518
..****$..*....*$...*...*$...**.*$
...**$..**$..*$$$$$...*.*$
$$$$....**$*..***$....**$
....**$....*$$$*$.*$*$
4 520 521 522 523
5 512 514 519 524
$$$$.**$.**$
4 0 0 59 526
.....**$
$.......*$$$$$...*$....**$
*****$.***.*$*...*$.***$..*$$$......**$
4 528 0 529 530
$$$$$$.*$**$
$$$$..**$..*$*.*$**$
4 0 0 532 533
5 527 0 531 534
....**$$...*$....**$
.....***$.....*$.....***$......**$
4 536 537 0 0
*$*$*$**$.*$$.......*$
.......*$.....**$.......*$.**$*.*$*$*$
4 539 540 0 0
4 0 0 0 243
$$$$.....***$......**$...***$...**$
4 0 0 354 543
5 538 541 542 544
6 525 535 0 545
$$$....*$....**$...*.*$
4 0 0 0 547
.....*.*$$...*..*$...*$.....*$....*$
.......*$......**$.......*$$$$$...*$
4 162 0 549 550
$$$$$$..**$..**$
*......*$*.....*$*......*$..**$..**$
...**$..*.*$****$***$
4 552 0 553 554
5 548 0 551 555
.**.**$$*.....*$$**.*.**$
4 0 557 260 297
5 558 0 0 0
6 556 0 559 0
$$$$$.......*$.......*$.......*$
$$$$$*...*..*$****$*...*..*$
4 561 562 0 292
5 319 95 0 563
$$$..**$.****$.**.**$...**$
$$$$$$$....*.*$
4 383 565 0 566
$$$$$...**$*****$...**$
$$$.......*$......*$
$$$.......*$
$$$**$.*$*$
4 568 569 570 571
$***$*$$*$*$$......*$
...*..*$..**$**...*$..**$...*..*$....*.*$
.....*.*$....*$.....***$...**$
$*$$**$
4 573 574 575 576
5 0 567 572 577
4 0 358 0 0
$*......*$*.....**$.......*$
..**$*......*$*.....*$*.....**$..**$..**$
4 580 581 0 0
5 579 582 0 0
*$****.**$.**....*$$*$$.......*$.....**$
$$$*$*$*$
4 584 585 0 0
$$$.**$.**$$.....**$.....**$
4 587 0 0 0
5 586 588 0 0
6 564 578 583 589
7 510 546 560 590
$$$$**$**$$....**$
4 0 0 0 592
$$$$....**$..*...*$.*.....*$**.*...*$
4 0 0 594 0
$$.......*$......*$.......*$.....**$
....**$*$.*$..*$**$..**$
$$$$$$.*.*$*..*$
4 596 597 598 0
.*.....*$..*...*$....**$
$$$.*.*$.**$..*$
$$...*$.**$..**$
$$$$..**...*$..*****$..**...*$
4 600 601 602 603
5 593 595 599 604
$$$$$$.....**$.....**$
$$$$$$$...***$
4 0 0 606 607
..**$.***$..**$.....**$.....**$
..*****$.*...*.*$..*...**$
$$$$..*...**$...*****$..*...**$
4 609 610 611 0
$$$$$$..*$..**$
4 0 0 613 0
5 608 0 612 614
*$..*$*$*..*$.*.*$
4 616 448 0 0
4 0 0 116 0
5 617 0 618 0
.....**$.**..**$.**..**$
4 0 620 0 0
...**$...***$...**$..**$..*$
$$....*.*$.....**$.....*$
$$$...**$.*....*$.*....*$.*....*$...**$
4 622 623 624 624
5 621 625 0 0
6 605 615 619 626
$$$$...*$...*.*$....*.*$....*..*$
$$$$.......*$.......*$$...**$
4 0 0 628 629
$$$$*$*$
4 0 0 631 0
5 0 0 630 632
$$$.......*$......*$......*$......*$.......*$
$$$$$$$......**$
4 438 634 0 635
5 0 0 0 636
....*.*$...*.*$...*$
...**$$$$.......*$......**$.....*$
$$......**$.....*$.....**$$.......*$
.....**$$*$*$......**$$.**..*$***...*$
4 638 639 640 641
$$*$*$.*$.**$...*$*$
..**$$$*$$$.....**$*....*.*$
4 643 0 644 0
*.....**$.......*$......**$.....*.*$.....**$
*$**$*$
4 646 647 0 0
5 642 645 0 648
.....*$....****$.....*$......**$
4 0 650 0 0
4 337 0 243 354
$$$....**$...****$...**.**$.....**$
4 0 0 653 90
5 0 651 652 654
6 633 637 649 655
$......**$......**$.**$...*$
4 657 0 0 0
$$$$$$.......*$......**$
4 0 0 0 659
5 0 0 658 660
$$$$$**$..*....*$****..**$
$$$$$**$..*....*$****...*$
4 0 0 662 663
$$$.....*$$...***$...**$...**$
4 0 0 182 665
5 0 0 664 666
......**$....*$...*$..**.*$...*$....*$......**$
4 0 54 260 668
5 0 669 0 0
..*....*$**$
..*$**$
$*.....*$.*$.*$.*$*$
$.***$...*...*$..*....*$$$$.......*$
4 671 672 673 674
*$.**$*.*$..*$
....*.*$.....*$$$..**...*$..**...*$...*****$....*.*$
$$$.*$..**$..**$..**$.*$
$....***$$$**$**$$....**$
4 676 677 678 679
4 0 54 0 0
4 0 468 0 0
5 675 680 681 682
6 661 667 670 683
$$$$$$..**$...*$
..**$..*.*$.....*$..*..*$.....*$..*.*$..**$
...*.*$....**$$$.......*$...**$...*.*$.....*$
4 0 685 686 687
...*$...**$....**$....***$*...**$...**$...*$
4 0 0 689 0
5 197 198 688 690
4 565 0 0 0
$$$$$.......*$**....*$**....*$
4 0 0 0 693
$$$$$*......*$.*....*$.*....*$
$$$$$*$.*$.*$
4 0 0 695 696
5 409 692 694 697
4 631 528 0 0
$$...*$..***$..***$$**...**$**...**$
$$...*$..*.*$.**....*$.**....*$.***$..*.*$
4 0 700 0 701
...**$
4 0 703 0 0
5 699 702 0 704
......*$.......*$$$$..**$..*.*$..*$
$$.*.*$.*...*$.....*$.*....*$.....*$.*...*$
4 0 706 631 707
.*....*$*......*$
.....*$...****$..*.*.**$.*..*.**$..*.*.**$...****$.....*$
$$$*$
4 709 213 710 711
.*.*$
4 0 713 0 0
5 708 712 714 0
6 691 698 705 715
7 627 656 684 716
8 591 717 0 0
$$**$...*$....*$..*.**$....*$...*$
....*$..*.*$**$**$**$..*.*$....*$
**$$$$$$$......**$
$...*$....**$...**$
4 719 720 721 722
$$$......**$......**$
..**$..*..*$$......*$$....**$...*$
$**...**$**...**$.*****$..*.*$$..***$
4 724 725 0 726
5 0 0 723 727
.**$.**$$.....**$.....**$$$.*$
***$***$$...**$...**$$$.*$
4 0 729 724 730
5 0 0 0 731
*....*$**..****$*....*$......**$
4 733 647 0 0
$..*.*$...**$...*$$.....**$.....*.*$......*$
4 735 0 0 0
4 0 0 92 0
....*$..*.*$...**$
4 0 738 0 0
5 734 736 737 739
$$..**$.*.*$*$*..*$*$.*.*$
...**$...*$.*.*$.**$$$$..**$
..**$
.*.*$.*$**$
4 741 742 743 744
$$....*$...**$..**$.***$..**$...**$
*.*$*.*$..*$..*$..*...*$....**$**...**$
$$$$....*$....*.*$....**$
4 746 747 124 748
5 745 749 0 0
6 728 732 740 750
......*$....*$....*$...*$....*$....*$......*$
*$*$$*$$*...*.**$*..*.***$...**..*$
$$$$$....*.*$....**$.....*$
4 752 753 754 59
$$$.......*$.*....**$.....***$*.....**$*......*$
$$*$***$.*.*$.*..*..*$.*.*...*$***$
4 756 757 59 81
5 0 0 755 758
$$.....**$....*.*$...*$...*..*$...*$....*.*$
4 116 0 297 760
$.......*$......*$.....**$..***.*$.*..*..*$..**$
*$.*$**$**$**$.*$*$
4 0 0 762 763
5 0 0 761 764
....*..*$....*..*$....*..*$.....**$
4 0 766 0 0
4 766 0 0 0
5 767 768 0 542
...*..*$.***..**$...*..*$
4 0 528 0 770
$$.*.*$..**$..*$
...*..*$****..**$...*..*$
4 0 772 773 299
4 0 0 354 653
4 0 0 90 92
5 771 774 775 776
6 759 765 769 777
4 93 0 0 0
$$$$$$....*..*$..***..*$
....*..*$
4 0 780 0 781
$$$$$$....*..*$*****..*$
$.......*$$.......*$$$$**$
$......**$$.......*$
4 783 784 781 785
5 779 0 782 786
$*$**$
.......*$.......*$$$.*$.*.....*$.......*$*$
$*$*$$$.......*$
.*$.*$$$$*...**$*****$**.**$
4 788 789 790 791
*$..*$...*$...*$...*$..*$*$
$$..**$..**$
4 793 794 0 0
5 0 319 792 795
$$...**..*$...**.*$.......*$
....**$....*.*$*......*$.*..*..*$*......*$....*.*$....**$
$$.**$.**$
4 797 798 799 0
.......*$......*$
*$*$*.....*$.....*.*$.....**$.....**$.....**$.....*.*$
......*$
4 801 802 0 803
5 800 804 0 0
$$$$*....**$**...**$*$
**.**$.***$$$$$$.**$
4 806 807 0 13
5 808 0 0 0
6 787 796 805 809
$$$$$.....**$....*..*$...*****$
4 0 0 0 811
5 95 0 0 812
4 383 565 0 0
4 0 93 0 0
$$$$$.....**$....*..*$*..*****$
4 0 0 816 137
$...**$..*.**$...**.*$...***$...***$
.......*$.......*$$..*....*$$***....*$**.....*$**$
4 0 0 818 819
5 814 815 817 820
....*..*$.....**$
$$...**$...**..*$
...**$.*...*$*.....*$*.*...*$*.....*$.*...*$...**$
4 0 822 823 824
5 0 825 0 0
$......**$.....*.*$.......*$
$...*..**$$.......*$
$*$*...*$....*.*$.......*$.......*$.......*$....*.*$
4 822 827 828 829
$$$$.......*$.......*$
.*.*$..*$$$*...**$*...**$*****$.*.*$
$$$$*....**$*....**$*$
$.***$$$$$$.**$
4 831 832 833 834
4 0 124 0 0
4 0 13 0 0
5 830 835 836 837
6 813 821 826 838
7 751 778 810 839
$$$....**$....**$
**$**$$$$..**$
4 0 0 841 842
5 0 0 843 0
$$......**$.......*$.......*$.......*$
$$...**$****$*.**$*.**$***$
$.*$..**$.**$$....*$....*$....*$
$$$......*$.....*$.....*$.....*$......*$
4 845 846 847 848
$$**$.*$.....***$....*$.....**$.*$
$$$$**$..*$..*$.*$
4 0 0 850 851
4 0 0 0 291
$$$$$$****$...*$
4 87 0 854 0
5 849 852 853 855
6 844 0 856 0
5 0 0 0 380
5 0 0 654 737
6 0 0 858 859
.....**$...**.**$...****$....**$
$.......*$
4 861 862 0 0
...*$..*$
4 864 0 0 0
$$$$$$.......*$
*$.*$..*$..*$..*$.*$*$
*.*$.**$$$....**$**$*.*$..*$
4 866 182 867 868
*$**$.**$.***$.**$**$*$
$.....**$.....**$$$$.......*$.......*$
4 0 0 870 871
5 863 865 869 872
$$$$$$**$
$$$$$....**$...*..*$...*..*$
4 0 0 874 875
$$$$$.......*$$......*$
$$$$.*.....*$...*...*$...*$....*$
......**$$$$$....**$...*..*$...*..*$
4 877 878 879 358
5 0 197 876 880
4 0 743 0 0
$$$.......*$.......*$$.....**$.....**$
$$*$**$**$$..**$..**$
$$$.......*$......**$......**$......**$.......*$
$$*$.*$....**$....**$*$.*$
4 883 884 885 886
4 0 87 0 0
5 882 887 0 888
*$$$$$.......*$.......*$.......*$
...*..*$....**$$$$*$.*$
$$......*$......*$$......*$$......*$
$$*......*$..*...*$..*....*$...*$..*$..*$
4 890 891 892 893
...*..*$....**$
$$......*$.....*$......*$
..*$****$.*.**$.*.***$.*.**$****$..*$
4 895 896 897 260
4 803 81 0 0
5 894 898 899 0
6 873 881 889 900
$$$$*$**$.**.*$.*..*$
$$$.......*$......**$.....***$......**$.......*$
.**.*$**$*$
$....*$..*.*$...**$
4 902 903 904 905
$$*$*$....**$....**$....**$*$
$$....**$....**$$**$**$.....*$
....***$...*...*$..*.***$...*****$
4 907 908 81 909
5 198 409 906 910
4 93 861 0 0
4 0 0 98 0
5 692 912 913 0
$$.**....*$.***..**$.**....*$
$$*..*$*...*$*..*$
4 915 916 0 0
...*$....*$..***$
4 918 0 54 87
$$$$$.....***$.......*$......*$
4 0 0 0 920
5 917 919 0 921
$$$$...*$...****$....****$....*..*$
....****$...****$...*$
4 923 59 924 528
$$$$$$$..*$
...**$..**$
$$$.......*$....****$...****$...*..*$...****$
4 926 0 927 928
$$$......**$......*$$.......*$
4 0 930 121 47
5 925 0 929 931
6 911 914 922 932
7 857 860 901 933
*$*$
4 0 0 212 935
5 0 0 0 936
6 0 937 0 0
$$$..*$.**$***$.**$..*$
$$$.*$.**$.***$.**$.*$
4 0 0 939 940
$$$$$$$.*$
$$$$.....**$......**$.....*$
*.*$**$
4 0 942 943 944
$$$$$$....*$...*.*$
$$$......*$......**$.....*.*$
..*...**$..*...**$..*...**$...*.*$....*$
$.....***$....****$....*..*$....****$.....***$
4 946 947 948 949
$.....***$....*$$...*$...**$
*$*$$$.....*$*....*$*$
......*$.....*.*$.**..*.*$.**....*$.......*$....*..*$.....**$
4 0 951 952 953
5 941 945 950 954
.....**$....*.*$....*$...**$$$......**$.....*$
....****$.......*$$$$$$.*$
....*$....*$....*$.....*$......**$
..*...**$*.**..**$..*$.*$
4 956 957 958 959
4 124 0 0 0
$$*$$.*$**$
4 962 0 0 0
5 960 961 963 0
6 955 964 0 0
7 938 965 0 0
8 840 934 0 966
9 718 967 0 0
10 475 968 0 0
4 0 0 291 854
5 0 0 970 0
...**$...*$.*.*$.**$
4 0 972 0 794
4 972 0 0 0
5 0 0 973 974
6 0 0 971 975
4 862 864 0 0
$$$.......*$......*$......*$......*$......*$
4 0 0 0 978
5 977 0 0 979
...**$...**$
$$*$.*$..*$..*$..*$..*$
$$$.**...**$$..*...*$...***$...***$
4 0 981 982 983
5 0 0 984 0
......*$......*$.......*$$$$$.......*$
4 0 986 0 0
$.......*$.......*$$....*$...*$...*...*$.*.....*$
$*$**$.**.*$.*..*$.**.*$**$*$
4 988 989 0 0
$$$$$..***$..***$.*...*$
$**...**$
$$$$$$$..*****$
4 991 0 992 993
5 0 987 990 994
..*$..*$.*$*$$$.*.....*$*......*$
$$$$$*.....*$.....***$**...***$
$...**$...**$$$......*$.....*.*$.......*$
4 996 997 87 998
$**$**$$$$$*$
4 0 0 1000 0
$$$$$.......*$......**$.....***$
.......*$......**$.....*.*$.....**$*$*$....**$....**$
......**$.......*$
....**$*$*$
4 1002 1003 1004 1005
*$*$$$$$**$**$
4 1007 0 0 0
5 999 1001 1006 1008
6 980 985 995 1009
7 976 0 1010 0
$$$..**$..**$
.*.***.*$..*...*$...***$....*$$$$...**$
4 1012 1013 0 703
5 0 1014 0 0
6 1015 0 0 0
7 1016 0 0 0
8 1011 0 1017 0
9 1018 0 0 0
10 1019 0 0 0
11 969 1020 0 0
12 0 9 0 1021
